summaryrefslogtreecommitdiffstats
path: root/development/lazarus
diff options
context:
space:
mode:
author Andre Barboza <bmg.andre@gmail.com>2010-05-13 00:57:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:56 +0200
commite15bc72928e7d12b4fead0d9f31ae4791efd43a7 (patch)
treeae9d6864a510a634273b2811a0d5a4e5f5a3aa3f /development/lazarus
parentbc2e299538c88be25cc4b589dc7113a985e4146a (diff)
downloadslackbuilds-e15bc72928e7d12b4fead0d9f31ae4791efd43a7.tar.gz
slackbuilds-e15bc72928e7d12b4fead0d9f31ae4791efd43a7.tar.xz
development/lazarus: Added to 13.0 repository
Diffstat (limited to 'development/lazarus')
-rw-r--r--development/lazarus/README12
-rw-r--r--development/lazarus/doinst.sh8
-rw-r--r--development/lazarus/lazarus.SlackBuild103
-rw-r--r--development/lazarus/lazarus.info10
-rw-r--r--development/lazarus/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/development/lazarus/README b/development/lazarus/README
new file mode 100644
index 0000000000..9c5f7b8d68
--- /dev/null
+++ b/development/lazarus/README
@@ -0,0 +1,12 @@
+Lazarus is a Rapid Application Development Tool for FreePascal.
+It comes with the LCL - Lazarus component library, which contains platform
+independent visual components like buttons, windows, checkbox, treeview and
+many, many more. The LCL is platform independent, so you can write an
+application once and then compile for various platforms without changing code.
+
+Note: To build lazarus with qt4 interface (LCL) you need to install qt4pas
+and define the variable LCL: LCL=qt ./lazarus.SlackBuild
+
+Note: This won't build on non-i386 platforms.
+
+This requires fpc [Free pascal].
diff --git a/development/lazarus/doinst.sh b/development/lazarus/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/development/lazarus/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/development/lazarus/lazarus.SlackBuild b/development/lazarus/lazarus.SlackBuild
new file mode 100644
index 0000000000..50b67c8b79
--- /dev/null
+++ b/development/lazarus/lazarus.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for Lazarus IDE
+
+# Written by Andre Barboza <bmg.andre@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lazarus
+VERSION=${VERSION:-0.9.28.2}
+# We'll define ARCH in just a bit...
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+LCL=${LCL:-gtk2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ printf "\nThis won't build on $ARCH.\n\n";exit 1
+else
+ ARCH=i386
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "$LCL" = "qt" ]; then
+ OPT="-dUSE_QT_45"
+fi
+
+# Compilation dont need ./configure
+make clean
+make all \
+ PREFIX=/usr \
+ LCL_PLATFORM=${LCL} \
+ OPT=${OPT}
+make install \
+ INSTALL_PREFIX=$PKG/usr \
+ INSTALL_MAN_DIR=$PKG/usr/man
+
+# fix links at /usr/bin
+( cd $PKG/usr/bin
+ ln -sf ../share/lazarus/lazarus
+ ln -sf ../share/lazarus/lazbuild
+ ln -sf ../share/lazarus/startlazarus
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Install desktop file, icon, and mime entry
+mkdir -p $PKG/usr/share/{applications,pixmaps,mime/packages}
+cat install/lazarus.desktop > $PKG/usr/share/applications/lazarus.desktop
+cat images/ide_icon48x48.png > $PKG/usr/share/pixmaps/lazarus.png
+cat install/lazarus-mime.xml > $PKG/usr/share/mime/packages/lazarus-mime.xml
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ra \
+ COPYING* README.txt docs/* examples/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/lazarus/lazarus.info b/development/lazarus/lazarus.info
new file mode 100644
index 0000000000..59b88274fb
--- /dev/null
+++ b/development/lazarus/lazarus.info
@@ -0,0 +1,10 @@
+PRGNAM="lazarus"
+VERSION="0.9.28.2"
+HOMEPAGE="http://www.lazarus.freepascal.org/"
+DOWNLOAD="http://downloads.sourceforge.net/lazarus/lazarus-0.9.28.2-src.tar.bz2"
+MD5SUM="52dc157fa1e83e90b5331820bd616d81"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+MAINTAINER="Andre Barboza"
+EMAIL="bmg.andre@gmail.com"
+APPROVED="rworkman"
diff --git a/development/lazarus/slack-desc b/development/lazarus/slack-desc
new file mode 100644
index 0000000000..75801788a5
--- /dev/null
+++ b/development/lazarus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lazarus: lazarus (Rapid Application Development Tool for FreePascal)
+lazarus:
+lazarus: Lazarus is a Rapid Application Development Tool for FreePascal.
+lazarus: It comes with the LCL - Lazarus component library, which contains
+lazarus: platform independent visual components like buttons, windows,
+lazarus: checkbox, treeview and many, many more. The LCL is platform
+lazarus: independent, so you can write an application once and then compile
+lazarus: for various platforms without changing code.
+lazarus:
+lazarus: Homepage: http://lazarus.freepascal.org
+lazarus: